%define enable_debug 0
%define _disable_ld_no_undefined 1

Name: reiser4progs
Version: 1.1.0
Release: %mkrel 2
Summary: Utilities for reiser4 filesystems
License: GPL
Group: System/Kernel and hardware
URL: http://www.namesys.com/
Source: reiser4progs-%{version}.tar.gz
Patch0: reiser4progs-1.1.0-strfmt.patch
BuildRequires: glibc-static-devel
BuildRequires: libaal-devel

%description
Utilities for manipulating reiser4 filesystems.

%package devel
Summary: Development libraries and headers for developing reiser4 tools
Group: Development/C

%description devel
Development libraries and headers for developing reiser4 tools.

%prep
%setup -q
%autopatch -p1

rm -f configure
autoconf

%build
%configure2_5x \
%if %{enable_debug}
        --enable-debug \
%else
        --disable-debug \
%endif
        --disable-static \
        --enable-libminimal \
        --disable-plugins-check \
        --disable-fnv1-hash \
        --disable-rupasov-hash \
        --disable-tea-hash \
        --disable-deg-hash

%make

%install
%makeinstall_std

%files
%doc AUTHORS BUGS COPYING CREDITS INSTALL NEWS README THANKS TODO
%{_libdir}/libreiser4-1.1.so.*
%{_libdir}/libreiser4-minimal-1.1.so.*
%{_libdir}/librepair-1.1.so.*
%{_sbindir}/debugfs.reiser4
%{_sbindir}/fsck.reiser4
%{_sbindir}/make_reiser4
%{_sbindir}/measurefs.reiser4
%{_sbindir}/mkfs.reiser4
%{_mandir}/man8/*

%files devel
%dir %{_includedir}/reiser4
%{_includedir}/reiser4/*.h
%{_includedir}/repair/*.h
%{_datadir}/aclocal/libreiser4.m4
%{_libdir}/libreiser4.*a
%{_libdir}/libreiser4-minimal.*a
%{_libdir}/librepair.*a
%{_libdir}/libreiser4-minimal.so
%{_libdir}/libreiser4.so
%{_libdir}/librepair.so


%changelog
* Sun Dec 25 2016 tmb <tmb> 1.1.0-2.mga6
+ Revision: 1077332
- fix summary
- fix group
- imported package reiser4progs

